<!DOCTYPE html>
<html lang="hu">
 <head> 
    <title>PHP dátum kezelés: date függvény - PHP honlap programozás</title> 
    <meta charset="UTF-8">            
    <link rel="icon" type="image/gif" href="favicon.ico">     
  </head>
<body>      
    

<?php


echo "Dátum: ".date("Y.m.d.")."<br>";  
echo "Idő:   ".date("H.i.s.")."<br>"; 

echo "o = Év (ISO-8601 szerint):   ".date("o")."<br>";
echo "Y = Év (4 számjeggyel):   ".date("Y")."<br>"; 
echo "y = Év (2 számjeggyel):   ".date("y")."<br>"; 
echo "F = Hónap (szöveggyel):   ".date("F")."<br>"; 
echo "M = Hónap (rivíditve):   ".date("M")."<br>"; 

echo "m = Hónap (01-12):   ".date("m")."<br>"; 
echo "n = Hónap (1-12):   ".date("n")."<br>";

echo "d = Nap (01-31):   ".date("d")."<br>"; 
echo "D = Hét napja(3 betű):   ".date("D")."<br>"; 
echo "N = Hét napja(1=hétfő -ISO-8601):   ".date("N")."<br>"; 
echo "L = Hét napja(szöveg):   ".date("l")."<br>"; 

echo "g = Óra (1 – 12):   ".date("g")."<br>"; 
echo "G = Óra (0 – 23):   ".date("G")."<br>"; 
echo "h = Óra (01 – 12):   ".date("h")."<br>"; 
echo "H = Óra (00 – 23):   ".date("H")."<br>"; 

echo "i = Perc (00 – 59):   ".date("i")."<br>"; 
echo "s = Másodperc (00 – 59):   ".date("s")."<br>";
echo "A = AM/PM:   ".date("A")."<br>";
echo "a = am/pm:   ".date("a")."<br>";

echo "e = Időzóna:   ".date("e")."<br>";
echo "O = Eltérés Greenwich-től:   ".date("O")."<br>";
echo "I = Időszámitás (téli=0;nyári=1):   ".date("I")."<br>";

echo "W = Hét (a hét sorszáma):   ".date("W")."<br>"; 
echo "L = Szökőév (1=igen):   ".date("L")."<br>"; 

echo "c = ISO-8601 dátum:   ".date("c")."<br>";
echo "r = RFC 2822 dátum:   ".date("r")."<br>";
echo "B = Swatch Internet idő:   ".date("B")."<br>";
echo "T = A szerveren:   ".date("T")."<br>";
echo "Z = Időzóna lépték s-ban:   ".date("Z")."<br>";
echo "U = 1970. január 1. 00:00:00 GMT:  óta eltelt idő s-ban ".date("U")."<br>";
?>
<!--
Időbélyeg átalakítása

A date() függvény a paraméterként kapott időbélyegből kinyeri a formátumkódban megadott adatokat, és karakterlánc formájában adja vissza.

 1. paraméter: formátumkódok 
 2. paraméter (opcionális): időbélyeg 
 
 Visszatérési érték:  Karakterlánc, amelyben a dátum/idő kívánt formában található. 
-->               
</body>      
</html>
